# WOK
TKWOK
WOKStep

# WOKStep_LinkList Class Reference

`#include <WOKStep_LinkList.hxx>`

Inheritance diagram for WOKStep_LinkList:

[legend]

## Public Member Functions

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKStep_LinkList (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
virtual Standard_EXPORT Handle_TCollection_HAsciiString | OutputDirTypeName () const
virtual Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&item)
| 1 - Adds File In list if file is an input of step 2 - Sets Build Flag if file is a candidate to construction
virtual Standard_EXPORT void | LoadDependencies ()
Standard_EXPORT Handle_WOKMake_OutputFile | GetUnitLibrary (const Handle(WOKernel_DevUnit)&unit)
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ComputeDependency (const Handle(TCollection_HAsciiString)&code, const Handle(TColStd_HSequenceOfHAsciiString)&adirectlist) const =0
virtual Standard_EXPORT Handle_TCollection_HAsciiString | GetUnitContributionCodes (const Handle(WOKernel_DevUnit)&unit) const
virtual Standard_EXPORT void | AddParcelUnitContribution (const Handle(WOKMake_InputFile)&theinfile, const Handle(TCollection_HAsciiString)&unit)
virtual Standard_EXPORT void | AddWorkbenchUnitContribution (const Handle(WOKMake_InputFile)&theinfile, const Handle(TCollection_HAsciiString)&unit)
virtual Standard_EXPORT void | AddUnitContribution (const Handle(WOKMake_InputFile)&theinfile, const Handle(TCollection_HAsciiString)&unit)
virtual Standard_EXPORT void | ComputeExternals (const Handle(TCollection_HAsciiString)&aunit)

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_LinkList::WOKStep_LinkList | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void WOKStep_LinkList::AddParcelUnitContribution | ( | const Handle(WOKMake_InputFile)& | theinfile,
|  | const Handle(TCollection_HAsciiString)& | unit
| ) | `[protected, virtual]`

| Reimplemented in WOKStep_TKList.

virtual Standard_EXPORT void WOKStep_LinkList::AddUnitContribution | ( | const Handle(WOKMake_InputFile)& | theinfile,
|  | const Handle(TCollection_HAsciiString)& | unit
| ) | `[protected, virtual]`

virtual Standard_EXPORT void WOKStep_LinkList::AddWorkbenchUnitContribution | ( | const Handle(WOKMake_InputFile)& | theinfile,
|  | const Handle(TCollection_HAsciiString)& | unit
| ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_LinkList::AdmFileType | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKStep_ComputeLinkList, WOKStep_TKList, and WOKStep_TKReplace.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKStep_LinkList::ComputeDependency | ( | const Handle(TCollection_HAsciiString)& | code,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | adirectlist
| ) | const`[protected, pure virtual]`

| Implemented in WOKStep_DirectLinkList, WOKStep_DirectTKReplace, WOKStep_EngLinkList, WOKStep_TKList, WOKStep_TransitiveLinkList, and WOKStep_TransitiveTKReplace.

virtual Standard_EXPORT void WOKStep_LinkList::ComputeExternals | ( | const Handle(TCollection_HAsciiString)& | aunit | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_LinkList::GetUnitContributionCodes | ( | const Handle(WOKernel_DevUnit)& | unit | ) | const`[protected, virtual]`

| Reimplemented in WOKStep_TKList.

Standard_EXPORT Handle_WOKMake_OutputFile WOKStep_LinkList::GetUnitLibrary | ( | const Handle(WOKernel_DevUnit)& | unit | ) | `[protected]`

Standard_EXPORT const WOKStep_LinkList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKMake_Step. Reimplemented in WOKOBJS_EngLinkList, WOKStep_ComputeLinkList, WOKStep_DirectLinkList, WOKStep_DirectTKReplace, WOKStep_EngLinkList, WOKStep_TKList, WOKStep_TKReplace, WOKStep_TransitiveLinkList, WOKStep_TransitiveTKReplace, and WOKStep_WNTK.

virtual Standard_EXPORT Standard_Boolean WOKStep_LinkList::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | item | ) | `[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKStep_ComputeLinkList, WOKStep_TKList, WOKStep_TKReplace, and WOKStep_WNTK.

virtual Standard_EXPORT void WOKStep_LinkList::LoadDependencies | ( |  | ) | `[protected, virtual]`

| Reimplemented from WOKMake_Step.

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_LinkList::OutputDirTypeName | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKStep_ComputeLinkList, WOKStep_TKList, and WOKStep_TKReplace.

The documentation for this class was generated from the following file:

- WOKStep_LinkList.hxx